Package com.enonic.xp.dump

## Class DumpUpgradeStepResult.Builder

- java.lang.Object
- - com.enonic.xp.dump.DumpUpgradeStepResult.Builder

- Enclosing class:
    DumpUpgradeStepResult

      public static final class DumpUpgradeStepResult.Builder
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DumpUpgradeStepResult` | `build()` |
    `DumpUpgradeStepResult.Builder` | `error()` |
    `DumpUpgradeStepResult.Builder` | `errors​(long errors)` |
    `DumpUpgradeStepResult.Builder` | `initialVersion​(Version initialVersion)` |
    `DumpUpgradeStepResult.Builder` | `processed()` |
    `DumpUpgradeStepResult.Builder` | `processed​(long processed)` |
    `DumpUpgradeStepResult.Builder` | `stepName​(String stepName)` |
    `DumpUpgradeStepResult.Builder` | `upgradedVersion​(Version upgradedVersion)` |
    `DumpUpgradeStepResult.Builder` | `warning()` |
    `DumpUpgradeStepResult.Builder` | `warnings​(long warnings)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### initialVersion

          public DumpUpgradeStepResult.Builder initialVersion​(Version initialVersion)

    - #### upgradedVersion

          public DumpUpgradeStepResult.Builder upgradedVersion​(Version upgradedVersion)

    - #### stepName

          public DumpUpgradeStepResult.Builder stepName​(String stepName)

    - #### processed

          public DumpUpgradeStepResult.Builder processed​(long processed)

    - #### processed

          public DumpUpgradeStepResult.Builder processed()

    - #### errors

          public DumpUpgradeStepResult.Builder errors​(long errors)

    - #### error

          public DumpUpgradeStepResult.Builder error()

    - #### warnings

          public DumpUpgradeStepResult.Builder warnings​(long warnings)

    - #### warning

          public DumpUpgradeStepResult.Builder warning()

    - #### build

          public DumpUpgradeStepResult build()